com.amazonaws.services.lambda

## Interface AWSLambdaAsync

All Superinterfaces:
  AWSLambda

All Known Implementing Classes:
  AbstractAWSLambdaAsync, AWSLambdaAsyncClient

    public interface AWSLambdaAsync
    extends AWSLambda

Interface for accessing AWS Lambda asynchronously. Each asynchronous method will return a Java Future object representing the asynchronous operation; overloads which accept an `AsyncHandler` can be used to receive notification when an asynchronous operation completes.

Note: Do not directly implement this interface, new methods are added to it regularly. Extend from `AbstractAWSLambdaAsync` instead.

<fullname>AWS Lambda</fullname>

Overview

This is the AWS Lambda API Reference. The AWS Lambda Developer Guide provides additional information. For the service overview, go to What is AWS Lambda, and for information about how the service works, go to AWS Lambda: How it Works in the AWS Lambda Developer Guide.

### Field Summary

### Fields inherited from interface com.amazonaws.services.lambda.AWSLambda

`ENDPOINT_PREFIX`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Future<AddPermissionResult>` `addPermissionAsync(AddPermissionRequest addPermissionRequest)` Adds a permission to the resource policy associated with the specified AWS Lambda function.
`Future<AddPermissionResult>` `addPermissionAsync(AddPermissionRequest addPermissionRequest, AsyncHandler<AddPermissionRequest,AddPermissionResult> asyncHandler)` Adds a permission to the resource policy associated with the specified AWS Lambda function.
`Future<CreateAliasResult>` `createAliasAsync(CreateAliasRequest createAliasRequest)` Creates an alias that points to the specified Lambda function version.
`Future<CreateAliasResult>` `createAliasAsync(CreateAliasRequest createAliasRequest, AsyncHandler<CreateAliasRequest,CreateAliasResult> asyncHandler)` Creates an alias that points to the specified Lambda function version.
`Future<CreateEventSourceMappingResult>` `createEventSourceMappingAsync(CreateEventSourceMappingRequest createEventSourceMappingRequest)` Identifies a stream as an event source for a Lambda function.
`Future<CreateEventSourceMappingResult>` `createEventSourceMappingAsync(CreateEventSourceMappingRequest createEventSourceMappingRequest, AsyncHandler<CreateEventSourceMappingRequest,CreateEventSourceMappingResult> asyncHandler)` Identifies a stream as an event source for a Lambda function.
`Future<CreateFunctionResult>` `createFunctionAsync(CreateFunctionRequest createFunctionRequest)` Creates a new Lambda function.
`Future<CreateFunctionResult>` `createFunctionAsync(CreateFunctionRequest createFunctionRequest, AsyncHandler<CreateFunctionRequest,CreateFunctionResult> asyncHandler)` Creates a new Lambda function.
`Future<DeleteAliasResult>` `deleteAliasAsync(DeleteAliasRequest deleteAliasRequest)` Deletes the specified Lambda function alias.
`Future<DeleteAliasResult>` `deleteAliasAsync(DeleteAliasRequest deleteAliasRequest, AsyncHandler<DeleteAliasRequest,DeleteAliasResult> asyncHandler)` Deletes the specified Lambda function alias.
`Future<DeleteEventSourceMappingResult>` `deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest deleteEventSourceMappingRequest)` Removes an event source mapping.
`Future<DeleteEventSourceMappingResult>` `deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest deleteEventSourceMappingRequest, AsyncHandler<DeleteEventSourceMappingRequest,DeleteEventSourceMappingResult> asyncHandler)` Removes an event source mapping.
`Future<DeleteFunctionResult>` `deleteFunctionAsync(DeleteFunctionRequest deleteFunctionRequest)` Deletes the specified Lambda function code and configuration.
`Future<DeleteFunctionResult>` `deleteFunctionAsync(DeleteFunctionRequest deleteFunctionRequest, AsyncHandler<DeleteFunctionRequest,DeleteFunctionResult> asyncHandler)` Deletes the specified Lambda function code and configuration.
`Future<GetAccountSettingsResult>` `getAccountSettingsAsync(GetAccountSettingsRequest getAccountSettingsRequest)` Returns a customer's account settings.
`Future<GetAccountSettingsResult>` `getAccountSettingsAsync(GetAccountSettingsRequest getAccountSettingsRequest, AsyncHandler<GetAccountSettingsRequest,GetAccountSettingsResult> asyncHandler)` Returns a customer's account settings.
`Future<GetAliasResult>` `getAliasAsync(GetAliasRequest getAliasRequest)` Returns the specified alias information such as the alias ARN, description, and function version it is pointing to.
`Future<GetAliasResult>` `getAliasAsync(GetAliasRequest getAliasRequest, AsyncHandler<GetAliasRequest,GetAliasResult> asyncHandler)` Returns the specified alias information such as the alias ARN, description, and function version it is pointing to.
`Future<GetEventSourceMappingResult>` `getEventSourceMappingAsync(GetEventSourceMappingRequest getEventSourceMappingRequest)` Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).
`Future<GetEventSourceMappingResult>` `getEventSourceMappingAsync(GetEventSourceMappingRequest getEventSourceMappingRequest, AsyncHandler<GetEventSourceMappingRequest,GetEventSourceMappingResult> asyncHandler)` Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).
`Future<GetFunctionResult>` `getFunctionAsync(GetFunctionRequest getFunctionRequest)` Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file.
`Future<GetFunctionResult>` `getFunctionAsync(GetFunctionRequest getFunctionRequest, AsyncHandler<GetFunctionRequest,GetFunctionResult> asyncHandler)` Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file.
`Future<GetFunctionConfigurationResult>` `getFunctionConfigurationAsync(GetFunctionConfigurationRequest getFunctionConfigurationRequest)` Returns the configuration information of the Lambda function.
`Future<GetFunctionConfigurationResult>` `getFunctionConfigurationAsync(GetFunctionConfigurationRequest getFunctionConfigurationRequest, AsyncHandler<GetFunctionConfigurationRequest,GetFunctionConfigurationResult> asyncHandler)` Returns the configuration information of the Lambda function.
`Future<GetPolicyResult>` `getPolicyAsync(GetPolicyRequest getPolicyRequest)` Returns the resource policy associated with the specified Lambda function.
`Future<GetPolicyResult>` `getPolicyAsync(GetPolicyRequest getPolicyRequest, AsyncHandler<GetPolicyRequest,GetPolicyResult> asyncHandler)` Returns the resource policy associated with the specified Lambda function.
`Future<InvokeResult>` `invokeAsync(InvokeRequest invokeRequest)` Invokes a specific Lambda function.
`Future<InvokeResult>` `invokeAsync(InvokeRequest invokeRequest, AsyncHandler<InvokeRequest,InvokeResult> asyncHandler)` Invokes a specific Lambda function.
`Future<InvokeAsyncResult>` `invokeAsyncAsync(InvokeAsyncRequest invokeAsyncRequest)` Deprecated.
`Future<InvokeAsyncResult>` `invokeAsyncAsync(InvokeAsyncRequest invokeAsyncRequest, AsyncHandler<InvokeAsyncRequest,InvokeAsyncResult> asyncHandler)` Deprecated.
`Future<ListAliasesResult>` `listAliasesAsync(ListAliasesRequest listAliasesRequest)` Returns list of aliases created for a Lambda function.
`Future<ListAliasesResult>` `listAliasesAsync(ListAliasesRequest listAliasesRequest, AsyncHandler<ListAliasesRequest,ListAliasesResult> asyncHandler)` Returns list of aliases created for a Lambda function.
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync()` Simplified method form for invoking the ListEventSourceMappings operation.
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync(AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)` Simplified method form for invoking the ListEventSourceMappings operation with an AsyncHandler.
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync(ListEventSourceMappingsRequest listEventSourceMappingsRequest)` Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync(ListEventSourceMappingsRequest listEventSourceMappingsRequest, AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)` Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).
`Future<ListFunctionsResult>` `listFunctionsAsync()` Simplified method form for invoking the ListFunctions operation.
`Future<ListFunctionsResult>` `listFunctionsAsync(AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)` Simplified method form for invoking the ListFunctions operation with an AsyncHandler.
`Future<ListFunctionsResult>` `listFunctionsAsync(ListFunctionsRequest listFunctionsRequest)` Returns a list of your Lambda functions.
`Future<ListFunctionsResult>` `listFunctionsAsync(ListFunctionsRequest listFunctionsRequest, AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)` Returns a list of your Lambda functions.
`Future<ListVersionsByFunctionResult>` `listVersionsByFunctionAsync(ListVersionsByFunctionRequest listVersionsByFunctionRequest)` List all versions of a function.
`Future<ListVersionsByFunctionResult>` `listVersionsByFunctionAsync(ListVersionsByFunctionRequest listVersionsByFunctionRequest, AsyncHandler<ListVersionsByFunctionRequest,ListVersionsByFunctionResult> asyncHandler)` List all versions of a function.
`Future<PublishVersionResult>` `publishVersionAsync(PublishVersionRequest publishVersionRequest)` Publishes a version of your function from the current snapshot of $LATEST.
`Future<PublishVersionResult>` `publishVersionAsync(PublishVersionRequest publishVersionRequest, AsyncHandler<PublishVersionRequest,PublishVersionResult> asyncHandler)` Publishes a version of your function from the current snapshot of $LATEST.
`Future<RemovePermissionResult>` `removePermissionAsync(RemovePermissionRequest removePermissionRequest)` You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.
`Future<RemovePermissionResult>` `removePermissionAsync(RemovePermissionRequest removePermissionRequest, AsyncHandler<RemovePermissionRequest,RemovePermissionResult> asyncHandler)` You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.
`Future<UpdateAliasResult>` `updateAliasAsync(UpdateAliasRequest updateAliasRequest)` Using this API you can update the function version to which the alias points and the alias description.
`Future<UpdateAliasResult>` `updateAliasAsync(UpdateAliasRequest updateAliasRequest, AsyncHandler<UpdateAliasRequest,UpdateAliasResult> asyncHandler)` Using this API you can update the function version to which the alias points and the alias description.
`Future<UpdateEventSourceMappingResult>` `updateEventSourceMappingAsync(UpdateEventSourceMappingRequest updateEventSourceMappingRequest)` You can update an event source mapping.
`Future<UpdateEventSourceMappingResult>` `updateEventSourceMappingAsync(UpdateEventSourceMappingRequest updateEventSourceMappingRequest, AsyncHandler<UpdateEventSourceMappingRequest,UpdateEventSourceMappingResult> asyncHandler)` You can update an event source mapping.
`Future<UpdateFunctionCodeResult>` `updateFunctionCodeAsync(UpdateFunctionCodeRequest updateFunctionCodeRequest)` Updates the code for the specified Lambda function.
`Future<UpdateFunctionCodeResult>` `updateFunctionCodeAsync(UpdateFunctionCodeRequest updateFunctionCodeRequest, AsyncHandler<UpdateFunctionCodeRequest,UpdateFunctionCodeResult> asyncHandler)` Updates the code for the specified Lambda function.
`Future<UpdateFunctionConfigurationResult>` `updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest updateFunctionConfigurationRequest)` Updates the configuration parameters for the specified Lambda function by using the values provided in the request.
`Future<UpdateFunctionConfigurationResult>` `updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest updateFunctionConfigurationRequest, AsyncHandler<UpdateFunctionConfigurationRequest,UpdateFunctionConfigurationResult> asyncHandler)` Updates the configuration parameters for the specified Lambda function by using the values provided in the request.

### Methods inherited from interface com.amazonaws.services.lambda.AWSLambda

`addPermission, createAlias, createEventSourceMapping, createFunction, deleteAlias, deleteEventSourceMapping, deleteFunction, getAccountSettings, getAlias, getCachedResponseMetadata, getEventSourceMapping, getFunction, getFunctionConfiguration, getPolicy, invoke, invokeAsync, listAliases, listEventSourceMappings, listEventSourceMappings, listFunctions, listFunctions, listVersionsByFunction, publishVersion, removePermission, setEndpoint, setRegion, shutdown, updateAlias, updateEventSourceMapping, updateFunctionCode, updateFunctionConfiguration`

### Method Detail

#### addPermissionAsync

    Future<AddPermissionResult> addPermissionAsync(AddPermissionRequest addPermissionRequest)

Adds a permission to the resource policy associated with the specified AWS Lambda function. You use resource policies to grant permissions to event sources that use push model. In a push model, event sources (such as Amazon S3 and custom applications) invoke your Lambda function. Each permission you add to the resource policy allows an event source, permission to invoke the Lambda function.

For information about the push model, see AWS Lambda: How it Works.

If you are using versioning, the permissions you add are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:AddPermission` action.

Parameters:
  `addPermissionRequest` -
Returns:
  A Java Future containing the result of the AddPermission operation returned by the service.

#### addPermissionAsync

    Future<AddPermissionResult> addPermissionAsync(AddPermissionRequest addPermissionRequest,
                                                   AsyncHandler<AddPermissionRequest,AddPermissionResult> asyncHandler)

Adds a permission to the resource policy associated with the specified AWS Lambda function. You use resource policies to grant permissions to event sources that use push model. In a push model, event sources (such as Amazon S3 and custom applications) invoke your Lambda function. Each permission you add to the resource policy allows an event source, permission to invoke the Lambda function.

For information about the push model, see AWS Lambda: How it Works.

If you are using versioning, the permissions you add are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:AddPermission` action.

Parameters:
  `addPermissionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the AddPermission operation returned by the service.

#### createAliasAsync

    Future<CreateAliasResult> createAliasAsync(CreateAliasRequest createAliasRequest)

Creates an alias that points to the specified Lambda function version. For more information, see Introduction to AWS Lambda Aliases.

Alias names are unique for a given function. This requires permission for the lambda:CreateAlias action.

Parameters:
  `createAliasRequest` -
Returns:
  A Java Future containing the result of the CreateAlias operation returned by the service.

#### createAliasAsync

    Future<CreateAliasResult> createAliasAsync(CreateAliasRequest createAliasRequest,
                                               AsyncHandler<CreateAliasRequest,CreateAliasResult> asyncHandler)

Creates an alias that points to the specified Lambda function version. For more information, see Introduction to AWS Lambda Aliases.

Alias names are unique for a given function. This requires permission for the lambda:CreateAlias action.

Parameters:
  `createAliasRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateAlias operation returned by the service.

#### createEventSourceMappingAsync

    Future<CreateEventSourceMappingResult> createEventSourceMappingAsync(CreateEventSourceMappingRequest createEventSourceMappingRequest)

Identifies a stream as an event source for a Lambda function. It can be either an Amazon Kinesis stream or an Amazon DynamoDB stream. AWS Lambda invokes the specified function when records are posted to the stream.

This association between a stream source and a Lambda function is called the event source mapping.

<important>

This event source mapping is relevant only in the AWS Lambda pull model, where AWS Lambda invokes the function. For more information, go to AWS Lambda: How it Works in the AWS Lambda Developer Guide.

</important>

You provide mapping information (for example, which stream to read from and which Lambda function to invoke) in the request body.

Each event source, such as an Amazon Kinesis or a DynamoDB stream, can be associated with multiple AWS Lambda function. A given Lambda function can be associated with multiple AWS event sources.

If you are using versioning, you can specify a specific function version or an alias via the function name parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateEventSourceMapping` action.

Parameters:
  `createEventSourceMappingRequest` -
Returns:
  A Java Future containing the result of the CreateEventSourceMapping operation returned by the service.

#### createEventSourceMappingAsync

    Future<CreateEventSourceMappingResult> createEventSourceMappingAsync(CreateEventSourceMappingRequest createEventSourceMappingRequest,
                                                                         AsyncHandler<CreateEventSourceMappingRequest,CreateEventSourceMappingResult> asyncHandler)

Identifies a stream as an event source for a Lambda function. It can be either an Amazon Kinesis stream or an Amazon DynamoDB stream. AWS Lambda invokes the specified function when records are posted to the stream.

This association between a stream source and a Lambda function is called the event source mapping.

<important>

This event source mapping is relevant only in the AWS Lambda pull model, where AWS Lambda invokes the function. For more information, go to AWS Lambda: How it Works in the AWS Lambda Developer Guide.

</important>

You provide mapping information (for example, which stream to read from and which Lambda function to invoke) in the request body.

Each event source, such as an Amazon Kinesis or a DynamoDB stream, can be associated with multiple AWS Lambda function. A given Lambda function can be associated with multiple AWS event sources.

If you are using versioning, you can specify a specific function version or an alias via the function name parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateEventSourceMapping` action.

Parameters:
  `createEventSourceMappingRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateEventSourceMapping operation returned by the service.

#### createFunctionAsync

    Future<CreateFunctionResult> createFunctionAsync(CreateFunctionRequest createFunctionRequest)

Creates a new Lambda function. The function metadata is created from the request parameters, and the code for the function is provided by a .zip file in the request body. If the function name already exists, the operation will fail. Note that the function name is case-sensitive.

If you are using versioning, you can also publish a version of the Lambda function you are creating using the `Publish` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateFunction` action.

Parameters:
  `createFunctionRequest` -
Returns:
  A Java Future containing the result of the CreateFunction operation returned by the service.

#### createFunctionAsync

    Future<CreateFunctionResult> createFunctionAsync(CreateFunctionRequest createFunctionRequest,
                                                     AsyncHandler<CreateFunctionRequest,CreateFunctionResult> asyncHandler)

Creates a new Lambda function. The function metadata is created from the request parameters, and the code for the function is provided by a .zip file in the request body. If the function name already exists, the operation will fail. Note that the function name is case-sensitive.

If you are using versioning, you can also publish a version of the Lambda function you are creating using the `Publish` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateFunction` action.

Parameters:
  `createFunctionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateFunction operation returned by the service.

#### deleteAliasAsync

    Future<DeleteAliasResult> deleteAliasAsync(DeleteAliasRequest deleteAliasRequest)

Deletes the specified Lambda function alias. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:DeleteAlias action.

Parameters:
  `deleteAliasRequest` -
Returns:
  A Java Future containing the result of the DeleteAlias operation returned by the service.

#### deleteAliasAsync

    Future<DeleteAliasResult> deleteAliasAsync(DeleteAliasRequest deleteAliasRequest,
                                               AsyncHandler<DeleteAliasRequest,DeleteAliasResult> asyncHandler)

Deletes the specified Lambda function alias. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:DeleteAlias action.

Parameters:
  `deleteAliasRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteAlias operation returned by the service.

#### deleteEventSourceMappingAsync

    Future<DeleteEventSourceMappingResult> deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest deleteEventSourceMappingRequest)

Removes an event source mapping. This means AWS Lambda will no longer invoke the function for events in the associated source.

This operation requires permission for the `lambda:DeleteEventSourceMapping` action.

Parameters:
  `deleteEventSourceMappingRequest` -
Returns:
  A Java Future containing the result of the DeleteEventSourceMapping operation returned by the service.

#### deleteEventSourceMappingAsync

    Future<DeleteEventSourceMappingResult> deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest deleteEventSourceMappingRequest,
                                                                         AsyncHandler<DeleteEventSourceMappingRequest,DeleteEventSourceMappingResult> asyncHandler)

Removes an event source mapping. This means AWS Lambda will no longer invoke the function for events in the associated source.

This operation requires permission for the `lambda:DeleteEventSourceMapping` action.

Parameters:
  `deleteEventSourceMappingRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteEventSourceMapping operation returned by the service.

#### deleteFunctionAsync

    Future<DeleteFunctionResult> deleteFunctionAsync(DeleteFunctionRequest deleteFunctionRequest)

Deletes the specified Lambda function code and configuration.

If you are using the versioning feature and you don't specify a function version in your `DeleteFunction` request, AWS Lambda will delete the function, including all its versions, and any aliases pointing to the function versions. To delete a specific function version, you must provide the function version via the `Qualifier` parameter. For information about function versioning, see AWS Lambda Function Versioning and Aliases.

When you delete a function the associated resource policy is also deleted. You will need to delete the event source mappings explicitly.

This operation requires permission for the `lambda:DeleteFunction` action.

Parameters:
  `deleteFunctionRequest` -
Returns:
  A Java Future containing the result of the DeleteFunction operation returned by the service.

#### deleteFunctionAsync

    Future<DeleteFunctionResult> deleteFunctionAsync(DeleteFunctionRequest deleteFunctionRequest,
                                                     AsyncHandler<DeleteFunctionRequest,DeleteFunctionResult> asyncHandler)

Deletes the specified Lambda function code and configuration.

If you are using the versioning feature and you don't specify a function version in your `DeleteFunction` request, AWS Lambda will delete the function, including all its versions, and any aliases pointing to the function versions. To delete a specific function version, you must provide the function version via the `Qualifier` parameter. For information about function versioning, see AWS Lambda Function Versioning and Aliases.

When you delete a function the associated resource policy is also deleted. You will need to delete the event source mappings explicitly.

This operation requires permission for the `lambda:DeleteFunction` action.

Parameters:
  `deleteFunctionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteFunction operation returned by the service.

#### getAccountSettingsAsync

    Future<GetAccountSettingsResult> getAccountSettingsAsync(GetAccountSettingsRequest getAccountSettingsRequest)

Returns a customer's account settings.

You can use this operation to retrieve Lambda limit information such as code size and concurrency limits. For more information on limits, see AWS Lambda Limits. You can also retrieve resource usage statistics such as code storage usage and function count.

Parameters:
  `getAccountSettingsRequest` -
Returns:
  A Java Future containing the result of the GetAccountSettings operation returned by the service.

#### getAccountSettingsAsync

    Future<GetAccountSettingsResult> getAccountSettingsAsync(GetAccountSettingsRequest getAccountSettingsRequest,
                                                             AsyncHandler<GetAccountSettingsRequest,GetAccountSettingsResult> asyncHandler)

Returns a customer's account settings.

You can use this operation to retrieve Lambda limit information such as code size and concurrency limits. For more information on limits, see AWS Lambda Limits. You can also retrieve resource usage statistics such as code storage usage and function count.

Parameters:
  `getAccountSettingsRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetAccountSettings operation returned by the service.

#### getAliasAsync

    Future<GetAliasResult> getAliasAsync(GetAliasRequest getAliasRequest)

Returns the specified alias information such as the alias ARN, description, and function version it is pointing to. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the `lambda:GetAlias` action.

Parameters:
  `getAliasRequest` -
Returns:
  A Java Future containing the result of the GetAlias operation returned by the service.

#### getAliasAsync

    Future<GetAliasResult> getAliasAsync(GetAliasRequest getAliasRequest,
                                         AsyncHandler<GetAliasRequest,GetAliasResult> asyncHandler)

Returns the specified alias information such as the alias ARN, description, and function version it is pointing to. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the `lambda:GetAlias` action.

Parameters:
  `getAliasRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetAlias operation returned by the service.

#### getEventSourceMappingAsync

    Future<GetEventSourceMappingResult> getEventSourceMappingAsync(GetEventSourceMappingRequest getEventSourceMappingRequest)

Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).

This operation requires permission for the `lambda:GetEventSourceMapping` action.

Parameters:
  `getEventSourceMappingRequest` -
Returns:
  A Java Future containing the result of the GetEventSourceMapping operation returned by the service.

#### getEventSourceMappingAsync

    Future<GetEventSourceMappingResult> getEventSourceMappingAsync(GetEventSourceMappingRequest getEventSourceMappingRequest,
                                                                   AsyncHandler<GetEventSourceMappingRequest,GetEventSourceMappingResult> asyncHandler)

Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).

This operation requires permission for the `lambda:GetEventSourceMapping` action.

Parameters:
  `getEventSourceMappingRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetEventSourceMapping operation returned by the service.

#### getFunctionAsync

    Future<GetFunctionResult> getFunctionAsync(GetFunctionRequest getFunctionRequest)

Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file. Note that the URL is valid for up to 10 minutes. The configuration information is the same information you provided as parameters when uploading the function.

Using the optional `Qualifier` parameter, you can specify a specific function version for which you want this information. If you don't specify this parameter, the API uses unqualified function ARN which return information about the `$LATEST` version of the Lambda function. For more information, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunction` action.

Parameters:
  `getFunctionRequest` -
Returns:
  A Java Future containing the result of the GetFunction operation returned by the service.

#### getFunctionAsync

    Future<GetFunctionResult> getFunctionAsync(GetFunctionRequest getFunctionRequest,
                                               AsyncHandler<GetFunctionRequest,GetFunctionResult> asyncHandler)

Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file. Note that the URL is valid for up to 10 minutes. The configuration information is the same information you provided as parameters when uploading the function.

Using the optional `Qualifier` parameter, you can specify a specific function version for which you want this information. If you don't specify this parameter, the API uses unqualified function ARN which return information about the `$LATEST` version of the Lambda function. For more information, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunction` action.

Parameters:
  `getFunctionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetFunction operation returned by the service.

#### getFunctionConfigurationAsync

    Future<GetFunctionConfigurationResult> getFunctionConfigurationAsync(GetFunctionConfigurationRequest getFunctionConfigurationRequest)

Returns the configuration information of the Lambda function. This the same information you provided as parameters when uploading the function by using CreateFunction.

If you are using the versioning feature, you can retrieve this information for a specific function version by using the optional `Qualifier` parameter and specifying the function version or alias that points to it. If you don't provide it, the API returns information about the $LATEST version of the function. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunctionConfiguration` operation.

Parameters:
  `getFunctionConfigurationRequest` -
Returns:
  A Java Future containing the result of the GetFunctionConfiguration operation returned by the service.

#### getFunctionConfigurationAsync

    Future<GetFunctionConfigurationResult> getFunctionConfigurationAsync(GetFunctionConfigurationRequest getFunctionConfigurationRequest,
                                                                         AsyncHandler<GetFunctionConfigurationRequest,GetFunctionConfigurationResult> asyncHandler)

Returns the configuration information of the Lambda function. This the same information you provided as parameters when uploading the function by using CreateFunction.

If you are using the versioning feature, you can retrieve this information for a specific function version by using the optional `Qualifier` parameter and specifying the function version or alias that points to it. If you don't provide it, the API returns information about the $LATEST version of the function. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunctionConfiguration` operation.

Parameters:
  `getFunctionConfigurationRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetFunctionConfiguration operation returned by the service.

#### getPolicyAsync

    Future<GetPolicyResult> getPolicyAsync(GetPolicyRequest getPolicyRequest)

Returns the resource policy associated with the specified Lambda function.

If you are using the versioning feature, you can get the resource policy associated with the specific Lambda function version or alias by specifying the version or alias name using the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

For information about adding permissions, see AddPermission.

You need permission for the `lambda:GetPolicy action.`

Parameters:
  `getPolicyRequest` -
Returns:
  A Java Future containing the result of the GetPolicy operation returned by the service.

#### getPolicyAsync

    Future<GetPolicyResult> getPolicyAsync(GetPolicyRequest getPolicyRequest,
                                           AsyncHandler<GetPolicyRequest,GetPolicyResult> asyncHandler)

Returns the resource policy associated with the specified Lambda function.

If you are using the versioning feature, you can get the resource policy associated with the specific Lambda function version or alias by specifying the version or alias name using the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

For information about adding permissions, see AddPermission.

You need permission for the `lambda:GetPolicy action.`

Parameters:
  `getPolicyRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetPolicy operation returned by the service.

#### invokeAsync

    Future<InvokeResult> invokeAsync(InvokeRequest invokeRequest)

Invokes a specific Lambda function. For an example, see Create the Lambda Function and Test It Manually.

If you are using the versioning feature, you can invoke the specific function version by providing function version or alias name that is pointing to the function version using the `Qualifier` parameter in the request. If you don't provide the `Qualifier` parameter, the `$LATEST` version of the Lambda function is invoked. Invocations occur at least once in response to an event and functions must be idempotent to handle this. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:InvokeFunction` action.

Parameters:
  `invokeRequest` -
Returns:
  A Java Future containing the result of the Invoke operation returned by the service.

#### invokeAsync

    Future<InvokeResult> invokeAsync(InvokeRequest invokeRequest,
                                     AsyncHandler<InvokeRequest,InvokeResult> asyncHandler)

Invokes a specific Lambda function. For an example, see Create the Lambda Function and Test It Manually.

If you are using the versioning feature, you can invoke the specific function version by providing function version or alias name that is pointing to the function version using the `Qualifier` parameter in the request. If you don't provide the `Qualifier` parameter, the `$LATEST` version of the Lambda function is invoked. Invocations occur at least once in response to an event and functions must be idempotent to handle this. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:InvokeFunction` action.

Parameters:
  `invokeRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the Invoke operation returned by the service.

#### invokeAsyncAsync

    @Deprecated
    Future<InvokeAsyncResult> invokeAsyncAsync(InvokeAsyncRequest invokeAsyncRequest)

Deprecated.
<important>

This API is deprecated. We recommend you use `Invoke` API (see Invoke).

</important>

Submits an invocation request to AWS Lambda. Upon receiving the request, Lambda executes the specified function asynchronously. To see the logs generated by the Lambda function execution, see the CloudWatch Logs console.

This operation requires permission for the `lambda:InvokeFunction` action.

Parameters:
  `invokeAsyncRequest` -
Returns:
  A Java Future containing the result of the InvokeAsync operation returned by the service.

#### invokeAsyncAsync

    @Deprecated
    Future<InvokeAsyncResult> invokeAsyncAsync(InvokeAsyncRequest invokeAsyncRequest,
                                                           AsyncHandler<InvokeAsyncRequest,InvokeAsyncResult> asyncHandler)

Deprecated.
<important>

This API is deprecated. We recommend you use `Invoke` API (see Invoke).

</important>

Submits an invocation request to AWS Lambda. Upon receiving the request, Lambda executes the specified function asynchronously. To see the logs generated by the Lambda function execution, see the CloudWatch Logs console.

This operation requires permission for the `lambda:InvokeFunction` action.

Parameters:
  `invokeAsyncRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the InvokeAsync operation returned by the service.

#### listAliasesAsync

    Future<ListAliasesResult> listAliasesAsync(ListAliasesRequest listAliasesRequest)

Returns list of aliases created for a Lambda function. For each alias, the response includes information such as the alias ARN, description, alias name, and the function version to which it points. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:ListAliases action.

Parameters:
  `listAliasesRequest` -
Returns:
  A Java Future containing the result of the ListAliases operation returned by the service.

#### listAliasesAsync

    Future<ListAliasesResult> listAliasesAsync(ListAliasesRequest listAliasesRequest,
                                               AsyncHandler<ListAliasesRequest,ListAliasesResult> asyncHandler)

Returns list of aliases created for a Lambda function. For each alias, the response includes information such as the alias ARN, description, alias name, and the function version to which it points. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:ListAliases action.

Parameters:
  `listAliasesRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListAliases operation returned by the service.

#### listEventSourceMappingsAsync

    Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync(ListEventSourceMappingsRequest listEventSourceMappingsRequest)

Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).

For each mapping, the API returns configuration information. You can optionally specify filters to retrieve specific event source mappings.

If you are using the versioning feature, you can get list of event source mappings for a specific Lambda function version or an alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:ListEventSourceMappings` action.

Parameters:
  `listEventSourceMappingsRequest` -
Returns:
  A Java Future containing the result of the ListEventSourceMappings operation returned by the service.

#### listEventSourceMappingsAsync

    Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync(ListEventSourceMappingsRequest listEventSourceMappingsRequest,
                                                                       AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)

Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).

For each mapping, the API returns configuration information. You can optionally specify filters to retrieve specific event source mappings.

If you are using the versioning feature, you can get list of event source mappings for a specific Lambda function version or an alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:ListEventSourceMappings` action.

Parameters:
  `listEventSourceMappingsRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListEventSourceMappings operation returned by the service.

#### listEventSourceMappingsAsync

    Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync()

Simplified method form for invoking the ListEventSourceMappings operation.

See Also:
  `listEventSourceMappingsAsync(ListEventSourceMappingsRequest)`

#### listEventSourceMappingsAsync

    Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync(AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)

Simplified method form for invoking the ListEventSourceMappings operation with an AsyncHandler.

See Also:
  `listEventSourceMappingsAsync(ListEventSourceMappingsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listFunctionsAsync

    Future<ListFunctionsResult> listFunctionsAsync(ListFunctionsRequest listFunctionsRequest)

Returns a list of your Lambda functions. For each function, the response includes the function configuration information. You must use GetFunction to retrieve the code for your function.

This operation requires permission for the `lambda:ListFunctions` action.

If you are using versioning feature, the response returns list of $LATEST versions of your functions. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Parameters:
  `listFunctionsRequest` -
Returns:
  A Java Future containing the result of the ListFunctions operation returned by the service.

#### listFunctionsAsync

    Future<ListFunctionsResult> listFunctionsAsync(ListFunctionsRequest listFunctionsRequest,
                                                   AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)

Returns a list of your Lambda functions. For each function, the response includes the function configuration information. You must use GetFunction to retrieve the code for your function.

This operation requires permission for the `lambda:ListFunctions` action.

If you are using versioning feature, the response returns list of $LATEST versions of your functions. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Parameters:
  `listFunctionsRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListFunctions operation returned by the service.

#### listFunctionsAsync

    Future<ListFunctionsResult> listFunctionsAsync()

Simplified method form for invoking the ListFunctions operation.

See Also:
  `listFunctionsAsync(ListFunctionsRequest)`

#### listFunctionsAsync

    Future<ListFunctionsResult> listFunctionsAsync(AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)

Simplified method form for invoking the ListFunctions operation with an AsyncHandler.

See Also:
  `listFunctionsAsync(ListFunctionsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listVersionsByFunctionAsync

    Future<ListVersionsByFunctionResult> listVersionsByFunctionAsync(ListVersionsByFunctionRequest listVersionsByFunctionRequest)

List all versions of a function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Parameters:
  `listVersionsByFunctionRequest` -
Returns:
  A Java Future containing the result of the ListVersionsByFunction operation returned by the service.

#### listVersionsByFunctionAsync

    Future<ListVersionsByFunctionResult> listVersionsByFunctionAsync(ListVersionsByFunctionRequest listVersionsByFunctionRequest,
                                                                     AsyncHandler<ListVersionsByFunctionRequest,ListVersionsByFunctionResult> asyncHandler)

List all versions of a function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Parameters:
  `listVersionsByFunctionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListVersionsByFunction operation returned by the service.

#### publishVersionAsync

    Future<PublishVersionResult> publishVersionAsync(PublishVersionRequest publishVersionRequest)

Publishes a version of your function from the current snapshot of $LATEST. That is, AWS Lambda takes a snapshot of the function code and configuration information from $LATEST and publishes a new version. The code and configuration cannot be modified after publication. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Parameters:
  `publishVersionRequest` -
Returns:
  A Java Future containing the result of the PublishVersion operation returned by the service.

#### publishVersionAsync

    Future<PublishVersionResult> publishVersionAsync(PublishVersionRequest publishVersionRequest,
                                                     AsyncHandler<PublishVersionRequest,PublishVersionResult> asyncHandler)

Publishes a version of your function from the current snapshot of $LATEST. That is, AWS Lambda takes a snapshot of the function code and configuration information from $LATEST and publishes a new version. The code and configuration cannot be modified after publication. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Parameters:
  `publishVersionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the PublishVersion operation returned by the service.

#### removePermissionAsync

    Future<RemovePermissionResult> removePermissionAsync(RemovePermissionRequest removePermissionRequest)

You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.

If you are using versioning, the permissions you remove are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

Note that removal of a permission will cause an active event source to lose permission to the function.

You need permission for the `lambda:RemovePermission` action.

Parameters:
  `removePermissionRequest` -
Returns:
  A Java Future containing the result of the RemovePermission operation returned by the service.

#### removePermissionAsync

    Future<RemovePermissionResult> removePermissionAsync(RemovePermissionRequest removePermissionRequest,
                                                         AsyncHandler<RemovePermissionRequest,RemovePermissionResult> asyncHandler)

You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.

If you are using versioning, the permissions you remove are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

Note that removal of a permission will cause an active event source to lose permission to the function.

You need permission for the `lambda:RemovePermission` action.

Parameters:
  `removePermissionRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RemovePermission operation returned by the service.

#### updateAliasAsync

    Future<UpdateAliasResult> updateAliasAsync(UpdateAliasRequest updateAliasRequest)

Using this API you can update the function version to which the alias points and the alias description. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:UpdateAlias action.

Parameters:
  `updateAliasRequest` -
Returns:
  A Java Future containing the result of the UpdateAlias operation returned by the service.

#### updateAliasAsync

    Future<UpdateAliasResult> updateAliasAsync(UpdateAliasRequest updateAliasRequest,
                                               AsyncHandler<UpdateAliasRequest,UpdateAliasResult> asyncHandler)

Using this API you can update the function version to which the alias points and the alias description. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:UpdateAlias action.

Parameters:
  `updateAliasRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateAlias operation returned by the service.

#### updateEventSourceMappingAsync

    Future<UpdateEventSourceMappingResult> updateEventSourceMappingAsync(UpdateEventSourceMappingRequest updateEventSourceMappingRequest)

You can update an event source mapping. This is useful if you want to change the parameters of the existing mapping without losing your position in the stream. You can change which function will receive the stream records, but to change the stream itself, you must create a new mapping.

If you are using the versioning feature, you can update the event source mapping to map to a specific Lambda function version or alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

If you disable the event source mapping, AWS Lambda stops polling. If you enable again, it will resume polling from the time it had stopped polling, so you don't lose processing of any records. However, if you delete event source mapping and create it again, it will reset.

This operation requires permission for the `lambda:UpdateEventSourceMapping` action.

Parameters:
  `updateEventSourceMappingRequest` -
Returns:
  A Java Future containing the result of the UpdateEventSourceMapping operation returned by the service.

#### updateEventSourceMappingAsync

    Future<UpdateEventSourceMappingResult> updateEventSourceMappingAsync(UpdateEventSourceMappingRequest updateEventSourceMappingRequest,
                                                                         AsyncHandler<UpdateEventSourceMappingRequest,UpdateEventSourceMappingResult> asyncHandler)

You can update an event source mapping. This is useful if you want to change the parameters of the existing mapping without losing your position in the stream. You can change which function will receive the stream records, but to change the stream itself, you must create a new mapping.

If you are using the versioning feature, you can update the event source mapping to map to a specific Lambda function version or alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

If you disable the event source mapping, AWS Lambda stops polling. If you enable again, it will resume polling from the time it had stopped polling, so you don't lose processing of any records. However, if you delete event source mapping and create it again, it will reset.

This operation requires permission for the `lambda:UpdateEventSourceMapping` action.

Parameters:
  `updateEventSourceMappingRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateEventSourceMapping operation returned by the service.

#### updateFunctionCodeAsync

    Future<UpdateFunctionCodeResult> updateFunctionCodeAsync(UpdateFunctionCodeRequest updateFunctionCodeRequest)

Updates the code for the specified Lambda function. This operation must only be used on an existing Lambda function and cannot be used to update the function configuration.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionCode` action.

Parameters:
  `updateFunctionCodeRequest` -
Returns:
  A Java Future containing the result of the UpdateFunctionCode operation returned by the service.

#### updateFunctionCodeAsync

    Future<UpdateFunctionCodeResult> updateFunctionCodeAsync(UpdateFunctionCodeRequest updateFunctionCodeRequest,
                                                             AsyncHandler<UpdateFunctionCodeRequest,UpdateFunctionCodeResult> asyncHandler)

Updates the code for the specified Lambda function. This operation must only be used on an existing Lambda function and cannot be used to update the function configuration.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionCode` action.

Parameters:
  `updateFunctionCodeRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateFunctionCode operation returned by the service.

#### updateFunctionConfigurationAsync

    Future<UpdateFunctionConfigurationResult> updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest updateFunctionConfigurationRequest)

Updates the configuration parameters for the specified Lambda function by using the values provided in the request. You provide only the parameters you want to change. This operation must only be used on an existing Lambda function and cannot be used to update the function's code.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionConfiguration` action.

Parameters:
  `updateFunctionConfigurationRequest` -
Returns:
  A Java Future containing the result of the UpdateFunctionConfiguration operation returned by the service.

#### updateFunctionConfigurationAsync

    Future<UpdateFunctionConfigurationResult> updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest updateFunctionConfigurationRequest,
                                                                               AsyncHandler<UpdateFunctionConfigurationRequest,UpdateFunctionConfigurationResult> asyncHandler)

Updates the configuration parameters for the specified Lambda function by using the values provided in the request. You provide only the parameters you want to change. This operation must only be used on an existing Lambda function and cannot be used to update the function's code.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionConfiguration` action.

Parameters:
  `updateFunctionConfigurationRequest` -
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateFunctionConfiguration operation returned by the service.